scala.collection.mutable

# DefaultEntry

#### final class DefaultEntry[A, B] extends HashEntry[A, DefaultEntry[A, B]] with Serializable

Class used internally for default map model.

Source
  DefaultEntry.scala
Since

  2.3

Linear Supertypes
Serializable, java.io.Serializable, HashEntry[A, DefaultEntry[A, B]], AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. DefaultEntry
2. Serializable
3. Serializable
4. HashEntry
5. AnyRef
6. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new DefaultEntry(key: A, value: B)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from DefaultEntry[A, B] to any2stringadd[DefaultEntry[A, B]] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (DefaultEntry[A, B], B)

   Implicit information
     This member is added by an implicit conversion from DefaultEntry[A, B] to ArrowAssoc[DefaultEntry[A, B]] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def chainString: String

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### def ensuring(cond: (DefaultEntry[A, B]) ⇒ Boolean, msg: ⇒ Any): DefaultEntry[A, B]

   Implicit information
     This member is added by an implicit conversion from DefaultEntry[A, B] to Ensuring[DefaultEntry[A, B]] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

10. #### def ensuring(cond: (DefaultEntry[A, B]) ⇒ Boolean): DefaultEntry[A, B]

    Implicit information
      This member is added by an implicit conversion from DefaultEntry[A, B] to Ensuring[DefaultEntry[A, B]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: Boolean, msg: ⇒ Any): DefaultEntry[A, B]

    Implicit information
      This member is added by an implicit conversion from DefaultEntry[A, B] to Ensuring[DefaultEntry[A, B]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: Boolean): DefaultEntry[A, B]

    Implicit information
      This member is added by an implicit conversion from DefaultEntry[A, B] to Ensuring[DefaultEntry[A, B]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from DefaultEntry[A, B] to StringFormat[DefaultEntry[A, B]] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

17. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

18. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

19. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

20. #### val key: A

    Definition Classes
      DefaultEntry → HashEntry

21. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### var next: DefaultEntry[A, B]

    Definition Classes
      HashEntry

23. #### final def notify(): Unit

    Definition Classes
      AnyRef

24. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

25. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

26. #### def toString(): String

    Definition Classes
      DefaultEntry → AnyRef → Any

27. #### var value: B

28. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### def →[B](y: B): (DefaultEntry[A, B], B)

    Implicit information
      This member is added by an implicit conversion from DefaultEntry[A, B] to ArrowAssoc[DefaultEntry[A, B]] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from HashEntry[A, DefaultEntry[A, B]]

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from DefaultEntry[A, B] to any2stringadd[DefaultEntry[A, B]]

### Inherited by implicit conversion StringFormat from DefaultEntry[A, B] to StringFormat[DefaultEntry[A, B]]

### Inherited by implicit conversion Ensuring from DefaultEntry[A, B] to Ensuring[DefaultEntry[A, B]]

### Inherited by implicit conversion ArrowAssoc from DefaultEntry[A, B] to ArrowAssoc[DefaultEntry[A, B]]

### Ungrouped